man(6)

NAME
nudoku - ncurses based sudoku game

SYNOPSIS
nudoku [OPTIONS]

DESCRIPTION
nudoku is a ncurses based sudoku game. Perfect to relax a little or just waste some time when you are on the console.

Keybindings

For navigation use vi-keybindings (hjkl) or arrow keys. Pressing a number will put it in a field. Pressing delete, backspace or x will delete it.

Some keys need to be typed uppercase to prevent pressing them accidentally.

c Gives feedback whether your solution is right. If you think you finished your sudoku press this key to make sure it is. You can also use this during the game to check if you have made any mistakes.

H The computer will fill in one number for you. If you are pretty close to finishing he might not want to help you. And if you did something wrong so far, he will not say anything.

m Toggle marks. If enabled, the number in the currently selected cell will be highlighted in all other cells they occur in. Only works when colors are enabled.

N Create a new puzzle.

Q Quit nudoku.

r Redraw screen. In case you resized your terminal this will come handy.

S Let the computer solve the puzzle.

OPTIONS

-h Print help.

-v Display version information.

-c Do not use colors. Black and white mode. Some terminals don't support colors, use this option in this case.

-d Choose difficulty. Available options are: easy, normal, hard

-s User provided stream. The user can provide a sudoku himself. Nudoku won't generate it in this case. Notation is in stream format, meaning everthing in one line. Use dots (.) for empy fields. Example: nudoku -s 4.....8.5.3..........7......2.....6.....8.4......1.......6.3.7.5..2.....1.4......

-p Output PDF. Prints a sudoku into a PDF file. File name needs to follow. This can be combined with -n to define how many sudokus the PDF should contain. Example: -p riddle.pdf

-n Number of sudokuks to put in PDF. This can only be used with -p Example: -p riddle.pdf -n 8

-i Output PNG image. Puts a single sudoku into an PNG image file. File name needs to follow. Example: -i sudoku.png

BUGS
No known bugs.

AUTHOR
Michael Vetter (jubalh@iodoru.org)